Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control.ajax
Class JSONEvent

    java.lang.Object
      java.util.EventObject
          org.deegree.enterprise.control.ajax.WebEvent
              org.deegree.enterprise.control.ajax.JSONEvent

All Implemented Interfaces:
  Serializable

    public class JSONEvent

extends WebEvent

Author:
  Andreas Poth, last edited by: $Author: jmays $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.enterprise.control.ajax.WebEvent
`bean`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`JSONEvent(javax.servlet.ServletContext servletContext, javax.servlet.http.HttpServletRequest request)`

Method Summary
`Object` | `getAsBean()`
`Map` | `getParameter()`
`(package private) void` | `setBean(String bean)`

Methods inherited from class org.deegree.enterprise.control.ajax.WebEvent
`getAbsolutePath, getCharacterEncoding, getDocumentPath, getRequestUser, getSession, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSONEvent

    JSONEvent(javax.servlet.ServletContext servletContext,
              javax.servlet.http.HttpServletRequest request)
        throws javax.servlet.ServletException

Parameters:
  `servletContext` -
  `request` -
Throws:
  `javax.servlet.ServletException`

Method Detail

### getParameter

    public Map getParameter()

  Overrides:
    `getParameter` in class `WebEvent`
  Returns:
    the parameters

### setBean

    void setBean(String bean)

  Parameters:
    `bean` -

### getAsBean

    public Object getAsBean()
                     throws Exception

  Overrides:
    `getAsBean` in class `WebEvent`
  Returns:
    request parameter mapped to a bean class
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org